#/bin/bash

# generate header (definitions) file for abcpp
microabc  < no.txt > no.abh
# preprocess music file, generating a Sagittal file
cat no.abh no.abp | abcpp > no.sag
# now, interpret the Sagittal pitches to get ABC files
microabc -E -Pno.sag -i- -ops.abc
microabc -S -Mno.sag "$@" -i- -omid.abc
# then, generate PS and MIDI
abcm2ps -O= ps.abc
abc2midi mid.abc
